Bug 966993 - RFE: add 'resizepart' support
RFE: add 'resizepart' support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 09:17 EDT by Matthew Miller
Modified: 2014-10-14 12:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-31 19:58:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Miller 2013-05-24 09:17:06 EDT
The cloud-init package can grow partitions in cloud images using parted. Support for it was added in this ubuntu patch 
u
https://code.launchpad.net/~psusi/ubuntu/raring/parted/resize/+merge/151401

and I believe proposed upstream. It would be nice to have this for Fedora 19.
Comment 1 Matthew Miller 2013-06-10 19:25:19 EDT
We have a workaround for resizing partitions with the "cloud-utils" package, but it has significant dependency creep over using a patched parted.
Comment 2 Brian Lane 2014-01-31 19:58:39 EST
This will be added when/if upstream adds it.
Comment 3 Matthew Miller 2014-10-14 12:23:34 EDT
FTR, this is now upstream in parted 3.2 and newer, which will be in F21. I'm going to change the resolution to CLOSED:NEXTRELEASE to reflect this

Note You need to log in before you can comment on or make changes to this bug.